<?php
namespace Teknisa\CRM\Controller;

use Teknisa\Model\Util\NovoCodigo;


class PessoaRelacionadaController {
    protected $environment;
    protected $pessoaService;
    
    public function __construct ($environment, $pessoaService)
    {
        $this->environment   = $environment;
        $this->pessoaService   = $pessoaService;
    }
    
    public function saveOrUpdatePessoas($code, $pessoas){
        $nrorg      = $this->environment->getNrorgTrab();
        $cdoperador = $this->environment->getCdOperador();
        $this->pessoaService->deletePessoasTicket($code, $nrorg);
        
        if(!empty($pessoas)){
            if(!is_array($pessoas))
                $pessoas = array($pessoas);
            
            foreach($pessoas as $pessoa){
                $this->pessoaService->saveOrUpdatePessoa($code, $pessoa, $nrorg, $cdoperador);
            }
        }else{
            return;    
        }
    }
    
}